> For the complete documentation index, see [llms.txt](https://docs.jgopay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jgopay.com/jian-ti-zhong-wen/bank-codes.md).

# 银行代码

创建[提现](/jian-ti-zhong-wen/create-withdrawal.md)时，必须提供 `bank_code` 来标识目标银行或电子钱包。JGoPay 会自动将您的银行代码映射为网关侧代码。

MYR 提现共支持 31 个银行代码。

## 马来西亚银行

| 银行代码          | 银行名称                              |
| ------------- | --------------------------------- |
| `MY_MBB`      | Maybank（马来亚银行）                    |
| `MY_CIMB`     | CIMB Bank（联昌国际银行）                 |
| `MY_PBB`      | Public Bank（大众银行）                 |
| `MY_RHB`      | RHB Bank（兴业银行）                    |
| `MY_HLB`      | Hong Leong Bank（丰隆银行）             |
| `MY_AMB`      | AmBank（大马银行）                      |
| `MY_AFFIN`    | Affin Bank（艾芬银行）                  |
| `MY_ALLIANCE` | Alliance Bank（联昌联盟银行）             |
| `MY_ISLAM`    | Bank Islam（伊斯兰银行）                 |
| `MY_MUAMALAT` | Bank Muamalat（穆阿马拉特银行）            |
| `MY_BSN`      | Bank Simpanan Nasional（国民储蓄银行）    |
| `MY_AGRO`     | Agrobank（农业银行）                    |
| `MY_OCBC`     | OCBC Bank（华侨银行）                   |
| `MY_HSBC`     | HSBC Malaysia（汇丰银行）               |
| `MY_SCB`      | Standard Chartered Malaysia（渣打银行） |
| `MY_UOB`      | UOB Malaysia（大华银行）                |
| `MY_CITI`     | Citibank Malaysia（花旗银行）           |
| `MY_DEUTSCHE` | Deutsche Bank Malaysia（德意志银行）     |
| `MY_BKRM`     | Bank Kerjasama Rakyat（人民合作银行）     |
| `MY_MBSB`     | MBSB Bank                         |
| `MY_AEON`     | AEON Credit（永旺信贷）                 |
| `MY_ALRAJHI`  | Al Rajhi Bank（拉吉希银行）              |
| `MY_BOA`      | Bank of America（美国银行）             |
| `MY_BOC`      | Bank of China（中国银行）               |
| `MY_BNP`      | BNP Paribas（法国巴黎银行）               |
| `MY_BKK`      | Bangkok Bank（盘谷银行）                |
| `MY_CCBM`     | China Construction Bank（中国建设银行）   |

## 马来西亚电子钱包

| 代码          | 钱包名称        |
| ----------- | ----------- |
| `MY_TNG`    | Touch 'n Go |
| `MY_BIGPAY` | BigPay      |
| `MY_GXBANK` | GX Bank     |

## 使用示例

```json
{
  "amount": 500.00,
  "currency": "MYR",
  "reference_id": "WD20260325001",
  "bank_code": "MY_MBB",
  "account_number": "1234567890",
  "account_name": "Ahmad bin Ali",
  "method": "BANK"
}
```

您提供的 `bank_code` 会被自动转换为正确的网关侧代码。无论最终由哪个网关处理提现，您始终使用上表中的标准代码即可。

> **注意：** 以上代码用于**提现**。FPX 充值选行（`metadata.provider_channel_id`）请改用[支付方式](https://docs.jgopay.com/jian-ti-zhong-wen/pages/SbTu79bJ3Qq30bam3c80#fpx-银行代码)中的 FPX/RPP 代码。

## 银行列表接口（需认证）

您也可以通过 API 获取银行列表：

```
GET /api/v1/payment/banks?currency=MYR
Authorization: Bearer <merchant_token>
```

未传 `currency` 时，默认为您商户配置的货币。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jgopay.com/jian-ti-zhong-wen/bank-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
